Bug 829018 - update /etc/koji.conf
update /etc/koji.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 15:07 EDT by Mike McLean
Modified: 2012-06-30 21:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 18:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2012-06-05 15:07:56 EDT
Description of problem:
The /etc/koji.conf shipped in Fedora's koji-1.7.0 build includes a pkgurl setting. This should be replaced with a topurl setting.

The koji client will issue a warning each run when this deprecated setting is provided.

Version-Release number of selected component (if applicable):
koji-1.7.0-1.fc16.noarch

How reproducible:
100%

Steps to Reproduce:
# koji --noauth call echo 1
  
Actual results:
Warning: the pkgurl option is obsolete, using topurl='http://koji.fedoraproject.org'
[1]

Expected results:
no pkgurl warning

Additional info:
- pkgurl = http://koji.fedoraproject.org/packages
+ topurl = http://koji.fedoraproject.org

(koji never actually uses the plain topurl, so it's fine that this doesn't actually serve a directory index of /mnt/koji, as long as the key subdirs work)
Comment 1 Fedora Update System 2012-06-05 16:54:13 EDT
koji-1.7.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6021/koji-1.7.0-2.el5
Comment 2 Fedora Update System 2012-06-05 16:59:47 EDT
koji-1.7.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6029/koji-1.7.0-2.el6
Comment 3 Fedora Update System 2012-06-05 17:01:08 EDT
koji-1.7.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-8765/koji-1.7.0-2.fc16
Comment 4 Fedora Update System 2012-06-05 17:06:48 EDT
koji-1.7.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-8772/koji-1.7.0-2.fc17
Comment 5 Fedora Update System 2012-06-05 22:34:02 EDT
Package koji-1.7.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing koji-1.7.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6029/koji-1.7.0-2.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-17 18:25:43 EDT
koji-1.7.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-06-30 18:07:46 EDT
koji-1.7.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-30 21:36:25 EDT
koji-1.7.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-30 21:36:44 EDT
koji-1.7.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.